<template>
  <div class="userList">
    <myMain :refresh="isFresh" :keyword="keyword" @resetFresh="resetFresh" />
  </div>
</template>
<script>
import myHeader from "./components/header";
import myMain from "./components/main";
export default {
  components: {
    myHeader,
    myMain,
  },
  data() {
    return {
      isFresh: false,
      keyword: "",
    };
  },
  created() {},
  methods: {
    // 获取搜索返回结果
    getSearch({ text }) {
      this.keyword = text;
      this.isFresh = true;
    },
    // 获取刷新结果
    changeDialog({ flag }) {
      this.isFresh = flag;
    },
    // 重置isFresh
    resetFresh({ flag }) {
      this.isFresh = flag;
    },
  },
};
</script>
<style lang="scss" scoped>
.userList {
  text-align: left;
  padding: 10px 20px;
  // color: #4b9bb7;
  border: 1px solid #ccc;
}
</style>
